const isElectronRenderer =
  typeof window !== 'undefined' && window != null && window.DiscordNative && window.DiscordNative.isRenderer;

const features = isElectronRenderer ? require('electron').remote.getGlobal('features') : global.features;

features.declareSupported('dispatch_macos');

module.exports = require('./discord_dispatch.node');
